#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_build:
	mkdir -p build
	# Build and minify js
	cat /usr/share/javascript/php-date-formatter/php-date-formatter.js jquery.datetimepicker.js /usr/share/javascript/jquery-mousewheel/jquery.mousewheel.js > build/jquery.datetimepicker.full.js
	cp jquery.datetimepicker.js build/jquery.datetimepicker.js
	minify -o build/jquery.datetimepicker.min.js jquery.datetimepicker.js
	minify -o build/jquery.datetimepicker.full.min.js build/jquery.datetimepicker.full.js
	# Build and minify css
	cp jquery.datetimepicker.css build/jquery.datetimepicker.full.css
	minify -o build/jquery.datetimepicker.full.min.css build/jquery.datetimepicker.full.css

execute_after_dh_clean:
	rm -rf build/
